PingInfoView

PingInfoView v1.36
Copyright (c) 2008 - 2012 Nir Sofer
Web site: http://www.nirsoft.net

Description

PingInfoView is a small utility that allows you to easily ping multiple host names and IP addresses, and watch the result in one table. It automatically ping to all hosts every number of seconds that you specify, and displays the number of succeed and failed pings, as well as the average ping time. You can also save the ping result into text/html/xml file, or copy it to the clipboard.

Versions History

  • Version 1.36
    • Added 'Auto Size Columns+Headers' option, which allows you to automatically resize the columns according to the row values and column headers.
    • Fixed issue: The properties and the options windows opened in the wrong monitor, on multi-monitors system.
  • Version 1.35
    • Added a lower pane that lists the result of all pings for the selected IP address in the upper pane. (You can disable this feature by unchecking the 'Show Lower Pane' option under the Options menu)
  • Version 1.30
    • PingInfoView now resolves the IP addresses and displays the result under the 'Host Name' column.
    • Added 'Minimum Ping Time' and 'Maximum Ping Time' columns.
  • Version 1.28
    • Fixed the sorting problem of 'IP Address' and 'Reply IP Address' column.
  • Version 1.27
    • Made another workaround that hopefully will solve the mysterious problem that people report where PingInfoView stop pinging after hours of continuous work. PingInfoView now check the pinging status, and if the pings stoped from some reason, PingInfoView should start them again.
  • Version 1.26
    • Added command-line options to make a single ping test and save it to html/text/xml/csv file.
    • Fixed some problems with the xml file.
  • Version 1.25
    • New column: Last Succeed On.
    • New column: Last Failed On.
    • The % Failed value now shows the value in accuracy of 0.01% instead of interger values in previous versions.
  • Version 1.20
    • New column: % Failed.
    • New option: Beep On Failed Pings.
    • New option: Put Icon On Tray.
  • Version 1.18
    • Fixed bug: The size of addresses list text-box was limited to 32 KB.
  • Version 1.17
    • Added new option: Start pinging immediately without displaying this dialog-box.
  • Version 1.16
    • Added more accelerator keys.
  • Version 1.15
    • Added support for IP Range (For example: 192.168.0.10-192.168.0.20)
    • Added support for IP-Host Description format. (See below)
    • Fixed bug: PingInfoView continued to ping even when 'Ping every...' option is unchecked.
  • Version 1.10
    • Added command-line support.
    • Added 'Always On Top' option.
    • Added Drag & Drop support - You can drag a text file containing IP addresses into the main window of PingInfoView.
    • Added 'Start Pinging' option. (Start again after you previously used the Stop option)
    • Added 'Reset' option.
    • Added 'Load Addresses From File' option.
  • Version 1.06
    • Fixed sorting problems in some columns.
  • Version 1.05
    • Automatically save the hosts list and load it in the next time that you use PingInfoView utility.
    • Fixed the IP address sorting.
    • The 'Ping Options' dialog-box is now resizable.
  • Version 1.01 - Fixed bug: The main window lost the focus when the user switched to another application and then returned back to PingInfoView.
  • Version 1.00 - First release.

Using PingInfoView

PingInfoView doesn't require any installation process or additional dll files. In order to start using it, simply run the executable file (PingInfoView.exe), type the host names and IP addresses that you want to ping, and click the 'Ok' button to start pinging.

Known Issues

  • Some people reported that PingInfoView stop pinging after a few hours of continuous work. I tested PingInfoView in multiple computers, and until now I couldn't find a way to reproduce the problem on my own computers. I also tried to locate memory or opened handles leaks that might cause this kind of problem, but until now I couldn't find any leak. This problem is a mystery, and I'm still looking for solution.

Use IP-Host Description format

When this option is selected, you should specify the IP addresses list in the following format:
192.168.1.10 Main Server
192.168.1.11 Host 01
192.168.1.12 Host 02
The description of each IP address is automatically added to the description column.

Command-Line Options

/stext <Filename> | Make a single ping test and save the result into a simple text file.
/stab <Filename> | Make a single ping test and save the result into a tab-delimited text file.
/scomma <Filename> | Make a single ping test and save the result into a comma-delimited text file (csv).
/stabular <Filename> | Make a single ping test and save the result into a tabular text file.
/shtml <Filename> | Make a single ping test and save the result into HTML file (Horizontal).
/sverhtml <Filename> | Make a single ping test and save the result into HTML file (Vertical).
/sxml <Filename> | Make a single ping test and save the result into XML file.
/loadfile <filename> | Load the specified filename that contains host names and/or IP addresses. You can use this command-line option in conjunction with the above save commands (/scomm, /stab, and so on)
/PingTimeout <value> | Specifies the ping timeout value, in ms.
/PingEvery <0 | 1> | Specifies whether to ping every xx seconds (0 - No, 1 - Yes)
/PingEverySeconds <value> | Specifies the number of seconds to wait between the pings.
/IPHostDescFormat <0 | 1> | Specifies whether to use the IP-Host Description mode (0 - No, 1 - Yes)

System Requirements

This utility works under Windows 2000, Windows XP, Windows Server 2003, Windows Server 2008, Windows Vista, and Windows 7. Older versions of Windows are not supported.

Translating PingInfoView to other languages

In order to translate PingInfoView to other language, follow the instructions below:
  1. Run PingInfoView with /savelangfile parameter:
    PingInfoView.exe /savelangfile
    A file named PingInfoView_lng.ini will be created in the folder of PingInfoView utility.
  2. Open the created language file in Notepad or in any other text editor.
  3. Translate all string entries to the desired language. Optionally, you can also add your name and/or a link to your Web site. (TranslatorName and TranslatorURL values) If you add this information, it'll be used in the 'About' window.
  4. After you finish the translation, Run PingInfoView, and all translated strings will be loaded from the language file.
    If you want to run PingInfoView without the translation, simply rename the language file, or move it to another folder.

License

This utility is released as freeware. You are allowed to freely distribute this utility via floppy disk, CD-ROM, Internet, or in any other way, as long as you don't charge anything for this. If you distribute this utility, you must include all files in the distribution package, without any modification !

Disclaimer

The software is provided "AS IS" without any warranty, either expressed or implied, including, but not limited to, the implied warranties of merchantability and fitness for a particular purpose. The author will not be liable for any special, incidental, consequential or indirect damages due to loss of data or any other reason.

Feedback

If you have any problem, suggestion, comment, or you found a bug in my utility, you can send a message to nirsofer@yahoo.com